com.hazelcast.spi

## Class MemberAttributeServiceEvent

- java.lang.Object
- - java.util.EventObject
  - - com.hazelcast.core.MembershipEvent
    - - com.hazelcast.core.MemberAttributeEvent
      - - com.hazelcast.spi.MemberAttributeServiceEvent

- All Implemented Interfaces:
    DataSerializable, Serializable

      public class MemberAttributeServiceEvent
      extends MemberAttributeEvent

  This service event is fired to inform services about a change in a member's attributes collection
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.core.MembershipEvent

      `MEMBER_ADDED, MEMBER_ATTRIBUTE_CHANGED, MEMBER_REMOVED`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberAttributeServiceEvent()`
    `MemberAttributeServiceEvent(Cluster cluster, MemberImpl member, MemberAttributeOperationType operationType, String key, Object value)`

  - ### Method Summary

    - ### Methods inherited from class com.hazelcast.core.MemberAttributeEvent

      `getKey, getMember, getOperationType, getValue, readData, writeData`

    - ### Methods inherited from class com.hazelcast.core.MembershipEvent

      `getCluster, getEventType, getMembers, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberAttributeServiceEvent

          public MemberAttributeServiceEvent()

    - #### MemberAttributeServiceEvent

          public MemberAttributeServiceEvent(Cluster cluster,
                                             MemberImpl member,
                                             MemberAttributeOperationType operationType,
                                             String key,
                                             Object value)

Copyright © 2020. All rights reserved.